﻿using Syncfusion.SfDataGrid.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace CustomizingFrame
{
    public partial class RoundedFrame : Frame
    {
        public RoundedFrame()
        {
        }

        public static readonly BindableProperty CornerRaidusProperty =
            BindableProperty.Create("CornerRadius", typeof(float), typeof(RoundedFrame),0f);

        //public static readonly BindableProperty CornerRaidusProperty =
        //  BindableProperty.Create("CornerRadius", typeof(float), typeof(RoundedFrame), 0f);

        //public static readonly BindableProperty CornerRaidusProperty =
        //  BindableProperty.Create("CornerRadius", typeof(float), typeof(RoundedFrame), 0f);

        //public double Radius { get; set; }
        //public double BorderWidth { get; set; }
        public float CornerRadius
        {
            get { return (float)GetValue(CornerRaidusProperty); }
            set { SetValue(CornerRaidusProperty, value); }
        }

        protected override void LayoutChildren(double x, double y, double width, double height)
        {
            base.LayoutChildren(0,0, width, 60);
        }
    }
}
